"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RawData = void 0;
const BaseHeader_1 = require("../abstracts/BaseHeader");
const StringContentEncodingEnum_1 = require("../lib/StringContentEncodingEnum");
const BufferToHex_1 = require("../../helper/BufferToHex");
class RawData extends BaseHeader_1.BaseHeader {
    constructor() {
        super(...arguments);
        this.SCHEMA = {
            type: 'object',
            properties: {
                data: {
                    type: 'string',
                    label: 'Raw',
                    contentEncoding: StringContentEncodingEnum_1.StringContentEncodingEnum.HEX,
                    decode: () => {
                        const dataLength = this.packet.length - this.startPos;
                        this.instance.data.setValue((0, BufferToHex_1.BufferToHex)(this.readBytes(0, dataLength)));
                    },
                    encode: () => {
                        this.writeBytes(0, Buffer.from(this.instance.data.getValue().toString(), 'hex'));
                    }
                }
            }
        };
        this.id = 'raw';
        this.name = 'Raw Data';
        this.nickname = 'Raw';
        this.isProtocol = false;
    }
    match() {
        return !!this.prevCodecModule;
    }
}
exports.RawData = RawData;
